// allVC.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "CallVC.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CallVC dialog


CallVC::CallVC(CWnd* pParent /*=NULL*/)
  : CDialog(CallVC::IDD, pParent)
{
  //{{AFX_DATA_INIT(CallVC)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void CallVC::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(CallVC)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CallVC, CDialog)
  //{{AFX_MSG_MAP(CallVC)
  ON_WM_SIZE()
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CallVC message handlers

BOOL CallVC::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
    vg1.Run("http://www.visual-graph.com/activex/oncommand.xml");
    Cvg vg = vg1.GetVg();
  CSheet sheet = vg.GetActiveSheet();
  CUnit d = sheet.UnitByName("ComboBox1");
    d.Execute("AddItem('Item1')");
    d.Execute("AddItem('Item2')");
    d.Execute("AddItem('Item3')");
    d.Execute("AddItem('Item4')");
    d.Execute("AddItem('Item5')");
    d.Execute("AddItem('Item6')");
    d.Execute("AddItem('Item7')");
    d.Execute("AddItem('Item8')");
    d.Execute("AddItem('Item9')");

    d = sheet.UnitByName("ListBox1");
    d.Execute("AddItem('Item1')");
    d.Execute("AddItem('Item2')");
    d.Execute("AddItem('Item3')");
    d.Execute("AddItem('Item4')");
    d.Execute("AddItem('Item5')");
    d.Execute("AddItem('Item6')");
    d.Execute("AddItem('Item7')");
    d.Execute("AddItem('Item8')");
    d.Execute("AddItem('Item9')");

    d = sheet.UnitByName("CheckListBox1");
    d.Execute("AddItem('Item1')");
    d.Execute("AddItem('Item2')");
    d.Execute("AddItem('Item3')");
    d.Execute("AddItem('Item4')");
    d.Execute("AddItem('Item5')");
    d.Execute("AddItem('Item6')");
    d.Execute("AddItem('Item7')");
    d.Execute("AddItem('Item8')");
    d.Execute("AddItem('Item9')");

    d = sheet.UnitByName("TreeView1");
    d.Execute("BeginUpdate()");
    d.Execute("AddItem( -1, 'Item1', 'dir', 0, true, 0 )");
    d.Execute("AddItem( -1, 'Item2', 'subdir', 1, true, 0 )");
    d.Execute("AddItem( -1, 'Item3', 'file', 2, false, 0 )");
    d.Execute("AddItem( -1, 'Item4', 'file', 2, false, 0 )");
    d.Execute("AddItem( -1, 'Item5', 'file', 2, false, 0 )");
    d.Execute("AddItem( -1, 'Item6', 'dir', 0, true, 0 )");
    d.Execute("AddItem( -1, 'Item7', 'subdir', 1, false, 0 )");
    d.Execute("AddItem( -1, 'Item8', 'file', 2, false, 0 )");
    d.Execute("AddItem( -1, 'Item9', 'file', 2, false, 0 )");
    d.Execute("AddItem( -1, 'Item10', 'subdir', 1, false, 0 )");
    d.Execute("AddItem( -1, 'Item11', 'file', 2, false, 0 )");
    d.Execute("AddItem( -1, 'Item12', 'file', 2, false, 0 )");
    d.Execute("EndUpdate()");
  return TRUE;
}

void CallVC::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* label = GetDlgItem( IDC_STATIC1 );
    label->MoveWindow( 0, cy - 50, cx, 20 );
  }
};

BEGIN_EVENTSINK_MAP(CallVC, CDialog)
    //{{AFX_EVENTSINK_MAP(CallVC)
  ON_EVENT(CallVC, IDC_VGCTRL1, 1 /* OnCommand */, OnCommandVgctrl1, VTS_BSTR)
  //}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CallVC::OnCommandVgctrl1(LPCTSTR ACommand) 
{
  CWnd* label = GetDlgItem( IDC_STATIC1 );
  label->SetWindowText( ACommand );  
}
