// reateAndUsePopupMenu.cpp : implementation file
//

#include "stdafx.h"
#include "vg.h"
#include "sheet.h"
#include "unit.h"
#include "VC.h"
#include "CreateAndUsePopupMenu.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CreateAndUsePopupMenu dialog


CreateAndUsePopupMenu::CreateAndUsePopupMenu(CWnd* pParent /*=NULL*/)
  : CDialog(CreateAndUsePopupMenu::IDD, pParent)
{
  //{{AFX_DATA_INIT(CreateAndUsePopupMenu)
    // NOTE: the ClassWizard will add member initialization here
  //}}AFX_DATA_INIT
}


void CreateAndUsePopupMenu::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  //{{AFX_DATA_MAP(CreateAndUsePopupMenu)
  DDX_Control(pDX, IDC_VGCTRL1, vg1);
  //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CreateAndUsePopupMenu, CDialog)
  //{{AFX_MSG_MAP(CreateAndUsePopupMenu)
  ON_WM_SIZE()
  ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
  ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
  ON_BN_CLICKED(IDC_BUTTON3, OnButton3)
  //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CreateAndUsePopupMenu message handlers

BOOL CreateAndUsePopupMenu::OnInitDialog() 
{
  CDialog::OnInitDialog();
  
  vg1.Design( "" );
  return TRUE;
}

void CreateAndUsePopupMenu::OnSize(UINT nType, int cx, int cy) 
{
  CDialog::OnSize(nType, cx, cy);
  
  if( vg1.m_hWnd )
  {
    vg1.MoveWindow( 0, 0, cx, cy - 60 );
    CWnd* bt = GetDlgItem( IDC_BUTTON1 );
    bt->MoveWindow( 0, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON2 );
    bt->MoveWindow( 150, cy - 50, 150, 20 );
    bt = GetDlgItem( IDC_BUTTON3 );
    bt->MoveWindow( 300, cy - 50, 150, 20 );
  };
}

void CreateAndUsePopupMenu::OnButton1() 
{
    Cvg dlg = vg1.GetVg().Create("http://www.visual-graph.com/activex/menudlg.xml", false, false);
    CSheet sheet = vg1.GetVg().GetActiveSheet();
  VARIANT v;
  v.vt = VT_DISPATCH;
  v.pdispVal = sheet.m_lpDispatch;
  dlg.GetActiveSheet().SetPropertyValue("cursheet", v);
    dlg.ShowModal();
    dlg.Free();
}

void CreateAndUsePopupMenu::OnButton2() 
{
  Cvg vg = vg1.GetVg();
    Cvg menu = vg.Create( "", true, false );
    menu.LoadFromBuffer( vg.SaveToBuffer() );
  POINT p;
  GetCursorPos( &p );
    int id = menu.Popup( p.x, p.y );
    char buffer[256];
  sprintf( buffer, "you have clicked the menuitem which return %d", id );
  MessageBox( buffer );
    menu.Free();
}

void CreateAndUsePopupMenu::OnButton3() 
{
  Cvg vg = vg1.GetVg();
    Cvg menu = vg.Create( "http://www.visual-graph.com/activex/popupmenu.xml", true, false );
  POINT p;
  GetCursorPos( &p );
    int id = menu.Popup( p.x, p.y );
    char buffer[256];
  sprintf( buffer, "you have clicked the menuitem which return %d", id );
  MessageBox( buffer );
    menu.Free();
}
