unit CreateAndUsePopupMenu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, vg_TLB;

type
  TfrmCreateAndUsePopupMenu = class(TForm)
    vg1: Tvgctrl;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmCreateAndUsePopupMenu: TfrmCreateAndUsePopupMenu;

implementation

{$R *.dfm}

procedure TfrmCreateAndUsePopupMenu.FormShow(Sender: TObject);
begin
  vg1.Design( '' );
end;

procedure TfrmCreateAndUsePopupMenu.Button1Click(Sender: TObject);
var
  dlg : Ivg;
begin
  dlg := vg1.vg.Create( 'http://www.visual-graph.com/activex/menudlg.xml', false, false );
  dlg.ActiveSheet.SetPropertyValue( 'cursheet', vg1.vg.ActiveSheet );
  dlg.ShowModal();
  dlg.Free();
end;

procedure TfrmCreateAndUsePopupMenu.Button2Click(Sender: TObject);
var
  menu : Ivg;
  id : Integer;
  p : TPoint;
begin
  GetCursorPos( p );
  menu := vg1.vg.Create( '', true, false );
  menu.LoadFromBuffer( vg1.vg.SaveToBuffer() );
  id := menu.Popup( p.x, p.y );
  ShowMessage( 'you have clicked the menuitem which return ' + IntToStr( id ) );
  menu.Free();
end;

procedure TfrmCreateAndUsePopupMenu.Button3Click(Sender: TObject);
var
  menu : Ivg;
  id : Integer;
  p : TPoint;
begin
  GetCursorPos( p );
  menu := vg1.vg.Create( 'http://www.visual-graph.com/activex/popupmenu.xml', true, false );
  id := menu.Popup( p.x, p.y );
  ShowMessage( 'you have clicked the menuitem which return ' + IntToStr( id ) );
  menu.Free();
end;

end.
